/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on May-15-2012 07:15:45pm
Filepath: scripts\events and scenarios\AOV 5th Anniversary\AOVFifthAnniversaryStatues.cs
Lines of code: 52

Description: 

***********************************************************/


using System;
using Server;
using Server.Network;

namespace Server.Items
{	
	[Flipable( 5384, 5404 )]
	public class AOVFifthAnniversaryStatuette : BaseStatuette
	{	
		private string[] strStrings = { 
		"Age of Valor was started on Dec 12, 2006", 
		"Age of Valor started off as a playground for the UO Demise shard guild, EVP", 
		"Many player ideas were incorporated into the game. Developers continue to use player ideas to improve the shard", 
		"Demitel content and lore was designed by Brunus, an old AOV developer", 
		"There are many historic landmarks and secrets hiding around AOV", 
		"Over 90% of the code on the shard is created by AOV developers", 
		"The auto event system and advanced AI were designed by Red Squirrel, the creator of AOV", 
		"The dye system and custom stealables were designed by Death, a developer of AOV", 
		"AOV strives to return the game back to its roots, while keeping up with modern Ultima Online", 
		"Many custom AOV monsters are named or based on mythological creatures from different regions"
		};
		Random RandString = new Random();
		
		[Constructable]
		public AOVFifthAnniversaryStatuette() : base( 5384 )
		{
			Name = "Age of Valor, 5th Anniversary Statue";
			Hue = Utility.RandomList(2418, 2101, 2213);
			LootType = LootType.Blessed;
			Weight = 1.0;		
		}

		public AOVFifthAnniversaryStatuette( Serial serial ) : base( serial )
		{
		}

		public override void OnMovement( Mobile m, Point3D oldLocation )
		{
			if ( TurnedOn && IsLockedDown && (!m.Hidden || m.AccessLevel == AccessLevel.Player) && Utility.InRange( m.Location, this.Location, 2 ) && !Utility.InRange( oldLocation, this.Location, 2 ) )
			{
				m.SendMessage(200,(strStrings[RandString.Next(0, strStrings.Length)]).ToString());
			}
				
			base.OnMovement( m, oldLocation );
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			
			int version = reader.ReadInt();
		}
	}

}

